Index: /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A01-01_.dir/doc.xml
===================================================================
--- /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A01-01_.dir/doc.xml	(revision 32166)
+++ /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A01-01_.dir/doc.xml	(revision 32167)
@@ -32,4 +32,5 @@
     <Metadata name="NoText">1</Metadata>
     <Metadata name="pj.Format">Photographs</Metadata>
+    <Metadata name="pj.Title">King Koroki and the Royal Visit to Turangawaewae Marae</Metadata>
     <Metadata name="gsimg.Annotation">{ &quot;top&quot;: 29.999998701171876, &quot;left&quot;: 29.999998701171876, &quot;width&quot;: 29.76666, &quot;height&quot;: 29.76666, &quot;text&quot;: &quot;test test&quot;, &quot;id&quot;: 2, &quot;editable&quot;: true, &quot;page&quot;: 0 }</Metadata>
     <Metadata name="gsimg.Annotation">{ &quot;top&quot;: 286.272705078125, &quot;left&quot;: 31.727264404296875, &quot;width&quot;: 117, &quot;height&quot;: 91, &quot;text&quot;: &quot;cloak&quot;, &quot;id&quot;: 21, &quot;editable&quot;: true, &quot;page&quot;: 0 }</Metadata>
Index: /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A01-01_/Photo-00.dir/doc.xml
===================================================================
--- /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A01-01_/Photo-00.dir/doc.xml	(revision 32166)
+++ /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A01-01_/Photo-00.dir/doc.xml	(revision 32167)
@@ -32,4 +32,5 @@
     <Metadata name="NoText">1</Metadata>
     <Metadata name="pj.Format">Photographs</Metadata>
+    <Metadata name="pj.Title">King Koroki and the Royal Visit to Turangawaewae Marae</Metadata> 
     <Metadata name="gsimg.Annotation">{ &quot;top&quot;: 160.81817626953125, &quot;left&quot;: 151.72726440429688, &quot;width&quot;: 160, &quot;height&quot;: 110, &quot;text&quot;: &quot;fresh note&quot;, &quot;id&quot;: 1, &quot;editable&quot;: true, &quot;page&quot;: 0 }</Metadata>
     <Metadata name="Title">3A01-01 Photo-003</Metadata>
Index: /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A01-01_/Photo-00/4.dir/doc.xml
===================================================================
--- /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A01-01_/Photo-00/4.dir/doc.xml	(revision 32166)
+++ /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A01-01_/Photo-00/4.dir/doc.xml	(revision 32167)
@@ -32,4 +32,5 @@
     <Metadata name="NoText">1</Metadata>
     <Metadata name="pj.Format">Photographs</Metadata>
+    <Metadata name="pj.Title">King Koroki and the Royal Visit to Turangawaewae Marae</Metadata>
     <Metadata name="Title">3A01-01 Photo-004</Metadata>
     <Metadata name="Identifier">3A01-01_Photo-004</Metadata>
Index: /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A01-01_/Photo-00/5.dir/doc.xml
===================================================================
--- /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A01-01_/Photo-00/5.dir/doc.xml	(revision 32166)
+++ /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A01-01_/Photo-00/5.dir/doc.xml	(revision 32167)
@@ -32,4 +32,5 @@
     <Metadata name="NoText">1</Metadata>
     <Metadata name="pj.Format">Photographs</Metadata>
+    <Metadata name="pj.Title">King Koroki and the Royal Visit to Turangawaewae Marae</Metadata>
     <Metadata name="Title">3A01-01 Photo-005</Metadata>
     <Metadata name="Identifier">3A01-01_Photo-005</Metadata>
Index: /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A01-01_/Photo-00/6.dir/doc.xml
===================================================================
--- /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A01-01_/Photo-00/6.dir/doc.xml	(revision 32166)
+++ /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A01-01_/Photo-00/6.dir/doc.xml	(revision 32167)
@@ -32,4 +32,5 @@
     <Metadata name="NoText">1</Metadata>
     <Metadata name="pj.Format">Photographs</Metadata>
+    <Metadata name="pj.Title">King Koroki and the Royal Visit to Turangawaewae Marae</Metadata>
     <Metadata name="Title">3A01-01 Photo-006</Metadata>
     <Metadata name="Identifier">3A01-01_Photo-006</Metadata>
Index: /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A01-01_/Photo-2-.dir/doc.xml
===================================================================
--- /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A01-01_/Photo-2-.dir/doc.xml	(revision 32166)
+++ /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A01-01_/Photo-2-.dir/doc.xml	(revision 32167)
@@ -32,5 +32,6 @@
     <Metadata name="NoText">1</Metadata>
     <Metadata name="pj.Format">Photographs</Metadata>
-    <Metadata name="Title">3A01-01 Photo-2-000</Metadata>
+    <Metadata name="pj.Title">King Koroki and the Royal Visit to Turangawaewae Marae</Metadata>
+     <Metadata name="Title">3A01-01 Photo-2-000</Metadata>
     <Metadata name="Identifier">3A01-01_Photo-2-000</Metadata>
     <Metadata name="lastmodified">1400467293</Metadata>
Index: /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A01-01_/Photo-2-/001.dir/doc.xml
===================================================================
--- /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A01-01_/Photo-2-/001.dir/doc.xml	(revision 32166)
+++ /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A01-01_/Photo-2-/001.dir/doc.xml	(revision 32167)
@@ -32,4 +32,5 @@
     <Metadata name="NoText">1</Metadata>
     <Metadata name="pj.Format">Photographs</Metadata>
+    <Metadata name="pj.Title">King Koroki and the Royal Visit to Turangawaewae Marae</Metadata>
     <Metadata name="Title">3A01-01 Photo-2-001</Metadata>
     <Metadata name="Identifier">3A01-01_Photo-2-001</Metadata>
Index: /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A01-08_.dir/doc.xml
===================================================================
--- /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A01-08_.dir/doc.xml	(revision 32166)
+++ /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A01-08_.dir/doc.xml	(revision 32167)
@@ -32,4 +32,5 @@
     <Metadata name="NoText">1</Metadata>
     <Metadata name="pj.Format">Photographs</Metadata>
+    <Metadata name="pj.Title">King Koroki and the Royal Visit to Turangawaewae Marae</Metadata>
     <Metadata name="Title">3A01-08 Photo-001</Metadata>
     <Metadata name="Identifier">3A01-08_Photo-001</Metadata>
Index: /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A01-08_/Photo-00.dir/doc.xml
===================================================================
--- /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A01-08_/Photo-00.dir/doc.xml	(revision 32166)
+++ /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A01-08_/Photo-00.dir/doc.xml	(revision 32167)
@@ -32,4 +32,5 @@
     <Metadata name="NoText">1</Metadata>
     <Metadata name="pj.Format">Photographs</Metadata>
+    <Metadata name="pj.Title">King Koroki and the Royal Visit to Turangawaewae Marae</Metadata>
     <Metadata name="Title">3A01-08 Photo-002</Metadata>
     <Metadata name="Identifier">3A01-08_Photo-002</Metadata>
Index: /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A01-08_/Photo-00/3.dir/doc.xml
===================================================================
--- /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A01-08_/Photo-00/3.dir/doc.xml	(revision 32166)
+++ /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A01-08_/Photo-00/3.dir/doc.xml	(revision 32167)
@@ -32,4 +32,5 @@
     <Metadata name="NoText">1</Metadata>
     <Metadata name="pj.Format">Photographs</Metadata>
+    <Metadata name="pj.Title">King Koroki and the Royal Visit to Turangawaewae Marae</Metadata>
     <Metadata name="Title">3A01-08 Photo-003</Metadata>
     <Metadata name="Identifier">3A01-08_Photo-003</Metadata>
Index: /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A01-08_/Photo-00/4.dir/doc.xml
===================================================================
--- /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A01-08_/Photo-00/4.dir/doc.xml	(revision 32166)
+++ /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A01-08_/Photo-00/4.dir/doc.xml	(revision 32167)
@@ -32,4 +32,5 @@
     <Metadata name="NoText">1</Metadata>
     <Metadata name="pj.Format">Photographs</Metadata>
+    <Metadata name="pj.Title">King Koroki and the Royal Visit to Turangawaewae Marae</Metadata>
     <Metadata name="Title">3A01-08 Photo-004</Metadata>
     <Metadata name="Identifier">3A01-08_Photo-004</Metadata>
Index: /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A01-08_/Photo-00/5.dir/doc.xml
===================================================================
--- /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A01-08_/Photo-00/5.dir/doc.xml	(revision 32166)
+++ /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A01-08_/Photo-00/5.dir/doc.xml	(revision 32167)
@@ -32,4 +32,5 @@
     <Metadata name="NoText">1</Metadata>
     <Metadata name="pj.Format">Photographs</Metadata>
+    <Metadata name="pj.Title">King Koroki and the Royal Visit to Turangawaewae Marae</Metadata>
     <Metadata name="Title">3A01-08 Photo-005</Metadata>
     <Metadata name="Identifier">3A01-08_Photo-005</Metadata>
Index: /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A01-08_/Photo-00/6.dir/doc.xml
===================================================================
--- /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A01-08_/Photo-00/6.dir/doc.xml	(revision 32166)
+++ /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A01-08_/Photo-00/6.dir/doc.xml	(revision 32167)
@@ -32,4 +32,5 @@
     <Metadata name="NoText">1</Metadata>
     <Metadata name="pj.Format">Photographs</Metadata>
+    <Metadata name="pj.Title">King Koroki and the Royal Visit to Turangawaewae Marae</Metadata>
     <Metadata name="Title">3A01-08 Photo-006</Metadata>
     <Metadata name="Identifier">3A01-08_Photo-006</Metadata>
Index: /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A01-08_/Photo-00/7.dir/doc.xml
===================================================================
--- /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A01-08_/Photo-00/7.dir/doc.xml	(revision 32166)
+++ /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A01-08_/Photo-00/7.dir/doc.xml	(revision 32167)
@@ -32,4 +32,5 @@
     <Metadata name="NoText">1</Metadata>
     <Metadata name="pj.Format">Photographs</Metadata>
+    <Metadata name="pj.Title">King Koroki and the Royal Visit to Turangawaewae Marae</Metadata>
     <Metadata name="Title">3A01-08 Photo-007</Metadata>
     <Metadata name="Identifier">3A01-08_Photo-007</Metadata>
Index: /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A01-08_/Photo-00/8.dir/doc.xml
===================================================================
--- /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A01-08_/Photo-00/8.dir/doc.xml	(revision 32166)
+++ /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A01-08_/Photo-00/8.dir/doc.xml	(revision 32167)
@@ -32,4 +32,5 @@
     <Metadata name="NoText">1</Metadata>
     <Metadata name="pj.Format">Photographs</Metadata>
+    <Metadata name="pj.Title">King Koroki and the Royal Visit to Turangawaewae Marae</Metadata>
     <Metadata name="Title">3A01-08 Photo-008</Metadata>
     <Metadata name="Identifier">3A01-08_Photo-008</Metadata>
Index: /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A01-08_/Photo-00/9.dir/doc.xml
===================================================================
--- /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A01-08_/Photo-00/9.dir/doc.xml	(revision 32166)
+++ /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A01-08_/Photo-00/9.dir/doc.xml	(revision 32167)
@@ -32,4 +32,5 @@
     <Metadata name="NoText">1</Metadata>
     <Metadata name="pj.Format">Photographs</Metadata>
+    <Metadata name="pj.Title">King Koroki and the Royal Visit to Turangawaewae Marae</Metadata>
     <Metadata name="Title">3A01-08 Photo-009</Metadata>
     <Metadata name="Identifier">3A01-08_Photo-009</Metadata>
Index: /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A01-08_/Photo-01.dir/doc.xml
===================================================================
--- /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A01-08_/Photo-01.dir/doc.xml	(revision 32166)
+++ /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A01-08_/Photo-01.dir/doc.xml	(revision 32167)
@@ -32,4 +32,5 @@
     <Metadata name="NoText">1</Metadata>
     <Metadata name="pj.Format">Photographs</Metadata>
+    <Metadata name="pj.Title">King Koroki and the Royal Visit to Turangawaewae Marae</Metadata>
     <Metadata name="Title">3A01-08 Photo-010</Metadata>
     <Metadata name="Identifier">3A01-08_Photo-010</Metadata>
Index: /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A01-08_/Photo-01/1.dir/doc.xml
===================================================================
--- /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A01-08_/Photo-01/1.dir/doc.xml	(revision 32166)
+++ /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A01-08_/Photo-01/1.dir/doc.xml	(revision 32167)
@@ -32,4 +32,5 @@
     <Metadata name="NoText">1</Metadata>
     <Metadata name="pj.Format">Photographs</Metadata>
+    <Metadata name="pj.Title">King Koroki and the Royal Visit to Turangawaewae Marae</Metadata>
     <Metadata name="Title">3A01-08 Photo-011</Metadata>
     <Metadata name="Identifier">3A01-08_Photo-011</Metadata>
Index: /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A05-04_.dir/doc.xml
===================================================================
--- /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A05-04_.dir/doc.xml	(revision 32166)
+++ /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A05-04_.dir/doc.xml	(revision 32167)
@@ -32,4 +32,5 @@
     <Metadata name="NoText">1</Metadata>
     <Metadata name="pj.Format">Photographs</Metadata>
+    <Metadata name="pj.Title">Education, Geaneaology, Land, Politics, etc</Metadata>
     <Metadata name="Title">3A05-04 Photo 1</Metadata>
     <Metadata name="Identifier">3A05-04_Photo_1</Metadata>
Index: /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A09-12_.dir/doc.xml
===================================================================
--- /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A09-12_.dir/doc.xml	(revision 32166)
+++ /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3A09-12_.dir/doc.xml	(revision 32167)
@@ -32,4 +32,5 @@
     <Metadata name="NoText">1</Metadata>
     <Metadata name="pj.Format">Photographs</Metadata>
+    <Metadata name="pj.Title">Waihi Kahakahoroa - Correspondence</Metadata>
     <Metadata name="Title">3A09-12 Photo 1</Metadata>
     <Metadata name="Identifier">3A09-12_Photo_1</Metadata>
Index: /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3K01-01_.dir/doc.xml
===================================================================
--- /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3K01-01_.dir/doc.xml	(revision 32166)
+++ /main/trunk/model-sites-dev/pei-jones/collect/gallery/archives/3K01-01_.dir/doc.xml	(revision 32167)
@@ -32,4 +32,5 @@
     <Metadata name="NoText">1</Metadata>
     <Metadata name="pj.Format">Photographs</Metadata>
+    <Metadata name="pj.Title">Correspondence with Wally, Bill and Brian Jones</Metadata>
     <Metadata name="Title">3K01-01 Photo</Metadata>
     <Metadata name="Identifier">3K01-01_Photo</Metadata>