Index: other-projects/hathitrust/wcsa/extracted-features-solr/trunk/gslis-cluster/SETUP.bash
===================================================================
--- other-projects/hathitrust/wcsa/extracted-features-solr/trunk/gslis-cluster/SETUP.bash	(revision 32172)
+++ other-projects/hathitrust/wcsa/extracted-features-solr/trunk/gslis-cluster/SETUP.bash	(revision 32173)
@@ -14,11 +14,30 @@
 elif [ "${short_hostname%[1-2]}" = "solr" ] ; then
   export ZOOKEEPER_SERVER=solr1:8181
+
   export SOLR_NODES="solr1:8983 solr1:8984 solr1:8985 solr1:8986 solr1:8987"
+  export SOLR_NODES="$SOLR_NODES solr1:8988 solr1:8989 solr1:8990 solr1:8991 solr1:8992"
   export SOLR_NODES="$SOLR_NODES solr2:8983 solr2:8984 solr2:8985 solr2:8986 solr2:8987"
+  export SOLR_NODES="$SOLR_NODES solr2:8988 solr2:8989 solr2:8990 solr2:8991 solr2:8992"
+
   export SOLR_SHARDS="/disk0/solr-full-ef /disk1/solr-full-ef /disk2/solr-full-ef /disk3/solr-full-ef /disk4/solr-full-ef"
+  export SOLR_SHARDS="$SOLR_SHARDS /disk5/solr-full-ef /disk6/solr-full-ef /disk7/solr-full-ef /disk8/solr-full-ef /disk9/solr-full-ef"
   export SOLR_SHARDS="$SOLR_SHARDS /disk0/solr-full-ef /disk1/solr-full-ef /disk2/solr-full-ef /disk3/solr-full-ef /disk4/solr-full-ef"
+  export SOLR_SHARDS="$SOLR_SHARDS /disk5/solr-full-ef /disk6/solr-full-ef /disk7/solr-full-ef /disk8/solr-full-ef /disk9/solr-full-ef"
 
-  export SOLR_JAVA_MEM="-Xms10g -Xmx15g"  
+  #export SOLR_JAVA_MEM="-Xms10g -Xmx15g"
+  # export SOLR_JAVA_MEM="-Xms5g -Xmx7g"
+  export SOLR_JAVA_MEM="-Xmx14g"  
 
+#  export SOLR7_NODES="solr1:9983 solr1:9984 solr1:9985 solr1:9986 solr1:9987"
+#  export SOLR7_NODES="$SOLR_NODES solr1:9988 solr1:9989 solr1:9990 solr1:9991 solr1:9992"
+#  export SOLR7_NODES="$SOLR_NODES solr2:9983 solr2:9984 solr2:9985 solr2:9986 solr2:9987"
+#  export SOLR7_NODES="$SOLR_NODES solr2:9988 solr2:9989 solr2:9990 solr2:9991 solr2:9992"
+
+#  export SOLR7_SHARDS="/disk0/solr-full-ef /disk1/solr-full-ef /disk2/solr-full-ef /disk3/solr-full-ef /disk4/solr-full-ef"
+#  export SOLR7_SHARDS="$SOLR_SHARDS /disk5/solr-full-ef /disk6/solr-full-ef /disk7/solr-full-ef /disk8/solr-full-ef /disk9/solr-full-ef"
+#  export SOLR7_SHARDS="$SOLR_SHARDS /disk0/solr-full-ef /disk1/solr-full-ef /disk2/solr-full-ef /disk3/solr-full-ef /disk4/solr-full-ef"
+#  export SOLR7_SHARDS="$SOLR_SHARDS /disk5/solr-full-ef /disk6/solr-full-ef /disk7/solr-full-ef /disk8/solr-full-ef /disk9/solr-full-ef"
+
+  
 else
   export ZOOKEEPER_SERVER=gchead:8181
@@ -71,5 +90,6 @@
 
 source SETUP/setup-zookeeper.bash 
-source SETUP/setup-solr.bash
+#source SETUP/setup-solr.bash
+source SETUP/setup-solr7.bash
 
 if [ "$short_hostname" = "gsliscluster1" ] ; then
Index: other-projects/hathitrust/wcsa/extracted-features-solr/trunk/gslis-cluster/SETUP/setup-solr7.bash
===================================================================
--- other-projects/hathitrust/wcsa/extracted-features-solr/trunk/gslis-cluster/SETUP/setup-solr7.bash	(revision 32173)
+++ other-projects/hathitrust/wcsa/extracted-features-solr/trunk/gslis-cluster/SETUP/setup-solr7.bash	(revision 32173)
@@ -0,0 +1,42 @@
+
+
+_SOLR_TOP_LEVEL_HOME="$HTRC_EF_PACKAGE_HOME/solr7"
+
+if [ "$short_hostname" = "nema" ] || [ "${short_hostname%[1-2]}" = "solr" ] ; then
+  _SOLR_HOME="$_SOLR_TOP_LEVEL_HOME/server/solr"
+else 
+  _SOLR_HOME="/hdfsd05/dbbridge/solr-ef"
+fi
+
+if [ "$short_hostname" = "gsliscluster1" ] ; then
+  echo "* For-each Solr Node"
+  echo "*   Added Solr bin into PATH"
+  echo "*     $_SOLR_TOP_LEVEL_HOME/bin"
+  echo "*   Set Solr node (home) conf dir to:"
+  echo "*     $_SOLR_HOME"
+  # The following is needed on gsliscluster1 for something like 
+  #   remote-solr-setup-local-disk-all.sh to work
+  export SOLR_HOME="$HTRC_EF_PACKAGE_HOME/solr/server/solr"
+else
+  # on one of the gc nodes (or nema)
+  export SOLR_TOP_LEVEL_HOME="$_SOLR_TOP_LEVEL_HOME"
+  export PATH="$SOLR_TOP_LEVEL_HOME/bin:$PATH"
+
+  # on solr1 and solr2 these will be locally overriden when solr-server started/stopped
+  export SOLR_HOME="$_SOLR_HOME"
+  export SOLR_PID_DIR="$SOLR_HOME"
+
+fi
+
+#export PATH="$HTRC_EF_PACKAGE_HOME/solr/bin:$PATH"
+#if [ "$short_hostname" = "gsliscluster1" ] ; then
+#  echo "* Added in Solr into PATH"
+#fi
+#
+#export SOLR_TOP_LEVEL_HOME="$HTRC_EF_PACKAGE_HOME/solr"
+#export SOLR_HOME="$SOLR_TOP_LEVEL_HOME/server/solr"
+#if [ "$short_hostname" = "gsliscluster1" ] ; then
+#  echo "* Set Solr node (home) conf dir to:"
+#  echo "*   $SOLR_HOME"
+#fi
+