Index: main/trunk/model-sites-dev/pei-jones/collect/written-works/archives/3A10-01_Part_3.dir/doc.xml
===================================================================
--- main/trunk/model-sites-dev/pei-jones/collect/written-works/archives/3A10-01_Part_3.dir/doc.xml	(revision 32178)
+++ main/trunk/model-sites-dev/pei-jones/collect/written-works/archives/3A10-01_Part_3.dir/doc.xml	(revision 32180)
@@ -14,5 +14,5 @@
     <Metadata name="pj.Media">Scanned Image</Metadata>
     <Metadata name="pj.Provenance">Pei Te Hurinui Jones</Metadata>
-    <Metadata name="pj.Notes">Land Records \x96 Court Proceedings</Metadata>
+    <Metadata name="pj.Notes">Land Records - Court Proceedings</Metadata>
     <Metadata name="NumPages">63</Metadata>
     <Metadata name="MaxImageWidth">1830</Metadata>
Index: main/trunk/model-sites-dev/pei-jones/collect/written-works/archives/3A10-02_Part_1.dir/doc.xml
===================================================================
--- main/trunk/model-sites-dev/pei-jones/collect/written-works/archives/3A10-02_Part_1.dir/doc.xml	(revision 32178)
+++ main/trunk/model-sites-dev/pei-jones/collect/written-works/archives/3A10-02_Part_1.dir/doc.xml	(revision 32180)
@@ -14,5 +14,5 @@
     <Metadata name="pj.Media">Scanned Image</Metadata>
     <Metadata name="pj.Provenance">Pei Te Hurinui Jones</Metadata>
-    <Metadata name="pj.Notes">Land Records \x96 Court Proceedings</Metadata>
+    <Metadata name="pj.Notes">Land Records - Court Proceedings</Metadata>
     <Metadata name="NumPages">70</Metadata>
     <Metadata name="MaxImageWidth">1836</Metadata>
Index: main/trunk/model-sites-dev/pei-jones/collect/written-works/archives/3A10-02_Part_2.dir/doc.xml
===================================================================
--- main/trunk/model-sites-dev/pei-jones/collect/written-works/archives/3A10-02_Part_2.dir/doc.xml	(revision 32178)
+++ main/trunk/model-sites-dev/pei-jones/collect/written-works/archives/3A10-02_Part_2.dir/doc.xml	(revision 32180)
@@ -14,5 +14,5 @@
     <Metadata name="pj.Media">Scanned Image</Metadata>
     <Metadata name="pj.Provenance">Pei Te Hurinui Jones</Metadata>
-    <Metadata name="pj.Notes">Land Records \x96 Court Proceedings</Metadata>
+    <Metadata name="pj.Notes">Land Records - Court Proceedings</Metadata>
     <Metadata name="NumPages">72</Metadata>
     <Metadata name="MaxImageWidth">1869</Metadata>
Index: main/trunk/model-sites-dev/pei-jones/collect/written-works/archives/3A10-03.dir/doc.xml
===================================================================
--- main/trunk/model-sites-dev/pei-jones/collect/written-works/archives/3A10-03.dir/doc.xml	(revision 32178)
+++ main/trunk/model-sites-dev/pei-jones/collect/written-works/archives/3A10-03.dir/doc.xml	(revision 32180)
@@ -14,5 +14,5 @@
     <Metadata name="pj.Media">Scanned Image</Metadata>
     <Metadata name="pj.Provenance">Pei Te Hurinui Jones</Metadata>
-    <Metadata name="pj.Notes">Land Records \x96 Court Proceedings</Metadata>
+    <Metadata name="pj.Notes">Land Records - Court Proceedings</Metadata>
     <Metadata name="NumPages">75</Metadata>
     <Metadata name="MaxImageWidth">1737</Metadata>
Index: main/trunk/model-sites-dev/pei-jones/collect/written-works/archives/3D02-01.dir/doc.xml
===================================================================
--- main/trunk/model-sites-dev/pei-jones/collect/written-works/archives/3D02-01.dir/doc.xml	(revision 32178)
+++ main/trunk/model-sites-dev/pei-jones/collect/written-works/archives/3D02-01.dir/doc.xml	(revision 32180)
@@ -9,5 +9,5 @@
     <Metadata name="SourceFile">3D02-01.item</Metadata>
     <Metadata name="gsdlthistype">paged</Metadata>
-    <Metadata name="pj.Title">Grey, George \x96 Nga Mahi a nga Tupuna</Metadata>
+    <Metadata name="pj.Title">Grey, George - Nga Mahi a nga Tupuna</Metadata>
     <Metadata name="Creator"></Metadata>
     <Metadata name="Publisher"></Metadata>
Index: main/trunk/model-sites-dev/pei-jones/collect/written-works/archives/3D02-02.dir/doc.xml
===================================================================
--- main/trunk/model-sites-dev/pei-jones/collect/written-works/archives/3D02-02.dir/doc.xml	(revision 32178)
+++ main/trunk/model-sites-dev/pei-jones/collect/written-works/archives/3D02-02.dir/doc.xml	(revision 32180)
@@ -9,5 +9,5 @@
     <Metadata name="SourceFile">3D02-02.item</Metadata>
     <Metadata name="gsdlthistype">paged</Metadata>
-    <Metadata name="pj.Title">Commentary on Pat Hohepa\x92s paper</Metadata>
+    <Metadata name="pj.Title">Commentary on Pat Hohepa's paper</Metadata>
     <Metadata name="Creator"></Metadata>
     <Metadata name="Publisher"></Metadata>
Index: main/trunk/model-sites-dev/pei-jones/collect/written-works/archives/3D02-03.dir/doc.xml
===================================================================
--- main/trunk/model-sites-dev/pei-jones/collect/written-works/archives/3D02-03.dir/doc.xml	(revision 32178)
+++ main/trunk/model-sites-dev/pei-jones/collect/written-works/archives/3D02-03.dir/doc.xml	(revision 32180)
@@ -9,5 +9,5 @@
     <Metadata name="SourceFile">3D02-03.item</Metadata>
     <Metadata name="gsdlthistype">paged</Metadata>
-    <Metadata name="pj.Title">Biggs, Bruce \x96 Maori language course guides</Metadata>
+    <Metadata name="pj.Title">Biggs, Bruce - Maori language course guides</Metadata>
     <Metadata name="Creator"></Metadata>
     <Metadata name="Publisher"></Metadata>