Index: main/trunk/greenstone2/macros/gujarati.dm
===================================================================
--- main/trunk/greenstone2/macros/gujarati.dm	(revision 29824)
+++ main/trunk/greenstone2/macros/gujarati.dm	(revision 32187)
@@ -28,10 +28,8 @@
 ######################################################################
 
-
 ######################################################################
 # Global (base) package
 package Global
 ######################################################################
-
 
 #------------------------------------------------------------
@@ -81,5 +79,4 @@
 _textdescrgreenstone_ [l=gu] {àªà«àª°à«àªšàªžà«àªà«àªš àª¡àª¿àªàª¿àªàª² àª²àªŸàª¯àª¬à«àª°à«àª°à« àªžà«àª«à«àªàªµà«àª°}
 _textdescrusab_ [l=gu] {àªàªªàª¯à«àª àªàª°àª€à« àªµàªàª€à« àª€àª®àªšà« àªàª¯àªŸàª àª®à«àª¶à«àªà«àª²à« àªªàª¡à«?}
-
 
 # Metadata names and navigation bar labels
@@ -217,5 +214,4 @@
 _linktextLOGOUT_ [l=gu] {àª²à«àªàªàªàª}
 
-
 ######################################################################
 # 'home' page
@@ -230,12 +226,11 @@
 _textadmin_ [l=gu] {àªµàª¹àª¿àªµàªà« àªªàªŸàªšà«àª}
 _textabgs_ [l=gu] {àªà«àª°à«àªšàªžà«àªà«àªš àªµàª¿àª¶à«}
-_textgsdocs_ [l=gu] {àªà«àª°à«àªšàªžà«àªà«àªš àªªà«àª°àª²à«àªà«àªàª°àª£}
-
-_textdescradmin_ [l=gu] {àªšàªµàªŸ àªàªªàª­à«àªàª€àªŸ àªàª®à«àª°àªµàªŸ, àªžàª¿àªžà«àªàª®àª®àªŸàª àªžàªàªà«àª°àª¹àªšà« àªžàªàªà«àª·àª¿àªªà«àª€ àªàª°àªµàªŸàªšà« àªà«àªàªµàªŸàª àªàª°à« àªà«, àªà«àª°à«àªšàªžà«àªà«àªš àªàªšà«àªžà«àªà«àª²à«àª¶àªš àª®àªŸàªà« àªà«àªà«àªšà«àªàª² àª®àªŸàª¹àª¿àª€à« àªàªªà« àªà«.}
+
+_textdescradmin_ [l=gu] {àªšàªµàªŸ àªàªªàª­à«àªàª€àªŸ àªàª®à«àª°àªµàªŸ, àªžàª¿àªžà«àªàª®àª®àªŸàª àªžàªàªà«àª°àª¹à«àªšà« àªžàª®àª°àªŸàªàª àªàª°àªµàªŸ, àªà«àª°à«àªšàªžà«àªà«àªš àªàªšà«àªžà«àªà«àª²à«àª¶àªš àª®àªŸàªà« àªà«àªà«àªšà«àªàª² àª®àªŸàª¹àª¿àª€à« àªàªªà« àªà«.}
 
 _textdescrgogreenstone_ [l=gu] {àªà«àª°à«àªšàªžà«àªà«àªš àªžà«àª«à«àªàªµà«àª° àª
-àªšà« àªšà«àª¯à«àªàª¿àª²à«àªšà«àª¡ àª¡à«àªà«àªàª² àª²àªŸàª¯àª¬à«àª°à«àª°à« àªªà«àª°à«àªà«àªà«àªàªšà« àªà«àª¯àªŸàªàª¥à« àªàª€à«àªªàª€à«àª€àª¿ àª¥àª àª¹à«àª¯ àª€à«àªšàªŸ àªµàª¿àª¶à« àªàªŸàª£àªàªŸàª°à« àªàªªà« àªà«}
-
-_textdescrgodocs_ [l=gu] {àªà«àª°à«àªšàªžà«àªà«àªš àª®àªŸàª°à«àªàªŠàª°à«àª¶àª¿àªàªŸàª}
+àªàªà«àªšà« àªàªŸàª£àªàªŸàª°à« àªàªªà« àªà«  àª
+àªšà« àªšàª®à«àªšàªŸàªšàªŸ àªžàªàªà«àª°àª¹à«, àªà«àªàªšà«àªàª² àª®àªŸàª¹àª¿àª€à«, àª
+àªšà« àª¡à«àªà«àª¯à«àªàª®à«àªšà«àªà«àª¶àªš àª®àªŸàªà«àªšà« àªµàª§àªŸàª°à«àªšà« àª®àªŸàª¹àª¿àª€à« àª®àªŸàªà«àªšà« àª²à«àªšà«àªà«àªž àªªà«àª°à« àªªàª¡à« àªà«.}
 
 #####################################################################
@@ -245,19 +240,18 @@
 
 _textgli_ [l=gu] {àªà«àª°àªàª¥àªªàªŸàª² àªàªšà«àªàª°àª«à«àª¶}
-_textdescrgli_ [l=gu] {àªšàªµà« àªžàªàªà«àª°àª¹ àªšàª¿àª°à«àª®àªŸàª£ àªàª°àªµàªŸ, àªžà«àª§àªŸàª°à« àªàª°àªµàªŸ àª
-àª¥àªµàªŸ àªªà«àª°àªµàª°à«àª€àª®àªŸàªš àªžàªàªà«àª°àª¹ àª®àªŸàª àªàª®à«àª°à« àªàª°àªµàªŸ, àª
-àª¥àªµàªŸ àª€à«àªšà« àª°àªŠ àªàª°àªµàªŸ àª€àª®àªšà« àª®àªŠàªŠ àªàª°à« àªà«}
+_textdescrgli_ [l=gu] {àªšàªµàªŸ àªžàªàªà«àª°àª¹à« àªšàª¿àª°à«àª®àªŸàª£ àªàª°àªµàªŸ, àªžà«àª§àªŸàª°àªŸ àªàª°àªµàªŸ àª
+àª¥àªµàªŸ àªªà«àª°àªµàª°à«àª€àª®àªŸàªš àªžàªàªà«àª°àª¹àª®àªŸàª àªàª®à«àª°à« àªàª°àªµàªŸ, àª
+àª¥àªµàªŸ àª€à«àªšà« àª°àªŠ àªàª°àªµàªŸ àª€àª®àªšà« àª®àªŠàªŠ àªàª°à« àªà«.}
 
 package collector
 
 _textcollector_ [l=gu] {àªžàªàªà«àª°àªŸàª¹àª}
-_textdescrcollector_ [l=gu] {àª àªà«àª°àªàª¥àªªàªŸàª² àªàªšà«àªàª°àª«à«àª¶ àª
-àªàªŸàªàªšà« àª€àªŸàª°à«àª àª¬àª€àªŸàªµà« àªà«, àª
-àªšà« àª®à«àªàªŸ àª­àªŸàªà« àªµà«àª¯àªµàª¹àªŸàª°à«àª àª¹à«àª€à« àª®àªŸàªà« àª€à«àªšàªŸ àª¬àªŠàª²à« àªà«àª°àªàª¥àªªàªŸàª² àªàªšà«àªàª°àª«à«àª¶àªšà« àªàªªàª¯à«àª àªàª°àªµà« àªà«àªàª.}
+_textdescrcollector_ [l=gu] {àªžàªàªà«àª°àª¹à«àªšà« àªàªšàª²àªŸàªàªš àªšàª¿àª°à«àª®àªŸàª£ àªàª°àªµàªŸàª®àªŸàª àª®àªŠàªŠ àªàª°à« àªà«. àª àªà«àª°àªàª¥àªªàªŸàª² àªàªšà«àªàª°àª«à«àª¶àªšàªŸ àªàªªàª¯à«àª àªªàª¹à«àª²àªŸàªšà« àªªà«àª°àªà«àª°àª¿àª¯àªŸ àªà«, àª
+àªšà« àª®à«àªàªŸ àª­àªŸàªà« àªµà«àª¯àªµàª¹àªŸàª°à«àª àª¹à«àª€à« àª®àªŸàªà« àªà«àª°àªàª¥àªªàªŸàª² àªàªšà«àªàª°àª«à«àª¶àªšàªŸ àª¬àªŠàª²à« àª€à«àªšà« àªàªªàª¯à«àª àªàª°àªµà« àªà«àªàª.}
 
 package depositor
 
 _textdepositor_ [l=gu] {àª¡àª¿àªªà«àªàª¿àªàª°}
-_textdescrdepositor_ [l=gu] {àªªà«àª°àªµàª°à«àª€àª®àªŸàªš àªžàªàªà«àª°àª¹àª®àªŸàª àªàª®à«àª°àªµàªŸ àª®àªŸàªà« àª®àªŠàªŠ àªàª°à« àªà«}
+_textdescrdepositor_ [l=gu] {GLIàªšà« àªàªªàª¯à«àª àªàª°à«àª¯àªŸ àªµàª¿àªšàªŸ àªªà«àª°àªµàª°à«àª€àª®àªŸàªš àªžàªàªà«àª°àª¹à«àª®àªŸàª àªªà«àª°àª²à«àªà«àªšà« àªàª®à«àª°àªµàªŸ àª®àªŸàªà« àª®àªŠàªŠ àªàª°à« àªà«.}
 
 _textdepositorlocal_ [l=gu] {àªšàªµà« àªàªàªàª®àªšà« àªàª®àªŸ àªàª°àªµàªŸàªšà«àª àª¶àª°à« àªàª°à« }
@@ -265,7 +259,6 @@
 
 _textgti_ [l=gu] {àªà«àª°à«àªšàªžà«àªà«àªš àªà«àª°à«àªšà«àªžà«àª²à«àªàª° àªàªšà«àªàª°àª«à«àªž}
-_textdescrtranslator_ [l=gu] {àªà«àª°à«àªšàªžà«àªà«àªš àªàªšà«àªàª°àª«à«àªž àªšàªŸ àª¬àª¹à«àª­àªŸàª·à« àªžàªàªžà«àªàª°àª£ àª
-àªª àªà« àª¡à«àª àª°àªŸàªàªµàªŸ àª®àªŸàªà« àª®àªŠàªŠ àªàª°à« àªà«}
-
+_textdescrtranslator_ [l=gu] {àªà«àª°à«àªšàªžà«àªà«àªš àªàªšà«àªàª°àª«à«àªžàªšàªŸ àª¬àª¹à«àª­àªŸàª·à« àªžàªàªžà«àªàª°àª£à«àªšà«  àª
+àªª àªà« àª¡à«àª àª°àªŸàªàªµàªŸ àª®àªŸàªà« àª®àªŠàªŠ àªàª°à« àªà«.}
 
 ######################################################################
@@ -274,5 +267,4 @@
 ######################################################################
 
-
 #------------------------------------------------------------
 # text macros
@@ -286,5 +278,4 @@
 
 _titleabout_ [l=gu] {àªšàªŸ àªµàª¿àª¶à«}
-
 
 ######################################################################
@@ -292,5 +283,4 @@
 package document
 ######################################################################
-
 
 #------------------------------------------------------------
@@ -369,5 +359,4 @@
 ######################################################################
 
-
 #------------------------------------------------------------
 # text macros
@@ -507,10 +496,8 @@
 àªªà«àª°àª€àª¿àª¬àªàª§àª¿àª€}
 
-
 ######################################################################
 # 'preferences' page
 package preferences
 ######################################################################
-
 
 #------------------------------------------------------------
@@ -619,5 +606,4 @@
 ######################################################################
 
-
 #------------------------------------------------------------
 # text macros
@@ -674,5 +660,4 @@
 àª¥àªµàªŸ àªš àªàª°à«}
 _texthelpsectionarrows_ [l=gu] {àªàªàª³àªšàªŸ/àªªàªŸàªàª³àªšàªŸ àªµàª¿àª­àªŸàª àª€àª°àª« àªàªŸàªµ}
-
 
 _texthelpsearchingtitle_ [l=gu] {àªà«àª àªà«àªà«àªàªž àª¶àª¬à«àªŠà« àª®àªŸàªà« àªà«àªµà« àª°à«àª€à« àª¶à«àª§ àªàª°àªµà«}
@@ -863,5 +848,5 @@
 àªàªà« àª¬àªàªšà«àªšà« àªàª àªà«àª¡à« àª€à«àªšà«àª àªšàª¿àª¯àªàª€à«àª°àª£ àªàª°à« àªà«. àªŠàªŸ.àª€. àªà« <i>fÃ©dÃ©ration</i> àªªàªžàªàªŠ àªàª°àªŸàª¯ àª€à« àª€à« <i>fedÃ©ration</i> àªšà« <i>federation</i> àª€àª°à«àªà« àª
 àª°à«àª¥àªàªàªš àªàª°àªµàªŸàª®àªŸ àªàªµàª¶à«.}
- 
+
 _textstemoptionsprefs_ [l=gu] {"_texthelpquerytermstitle_" àªàªªàª° àªŠàª°à«àª¶àªŸàªµà«àª² àª®à«àªàª¬ àª¶à«àª§ àªªàªŠ àªà«àª°à«àªà«àª¶àªš àªžàªµàª²àª€àªšà« àªàªªàª¯à«àª àªàª°àªµà« àªµàª§à«  àª
 àªšà«àªà«àª³ àª
@@ -876,6 +861,4 @@
 àªšà« "àª«àª¿àª²à«àª¡ àªµàªŸàª³à«" àª¶à«àª§ àª¬àªàªšà« àª®àªŸàªàª¥à« àªªàªžàªàªŠàªà« àªàª°à« àª¶àªà« àªà«.<ul><li>àªšàª¿àª¯àª®àª¿àª€ (àªšà«àª°à«àª®àª²) àª¶à«àª§ àª«àªà«àª€ àªàª àªà«àªµà«àª°à« àª¬à«àªà«àªž àªªà«àª°à« àªªàªŸàª¡à« àªà«._textsearchtypeprefsplain_</li><li>àª°à«àª«àª¿àª²à«àª¡àªµàªŸàª³à« àª¶à«àª§ àªàª àªàª°àª€àªŸ àªµàª§àªŸàª°à« àªà«àªµà«àª°à« àª¬à«àªà«àªž àªªà«àª°àªŸ àªªàªŸàª¡à« àªà«, àª àªà«àªµà«àª°à« àª¬à«àªà«àªž àªšàª¿àª°à«àªŠàª¿àª¶àª¿àªàªŸàªšàªŸ àª
 àª²àª àª«àª¿àª²à«àª¡àª®àªŸàª àªŠàª°à«àª àªà«àªµà«àª°à« àªžàªàª€à«àª·à« àªà«, àªàªšàªŸ àª²à«àª§à« àªàª àªžàªŸàª¥à« àªà«àªŠàªŸ àªà«àªŠàªŸ àª«àª¿àª²à«àª¡àªšàªŸ àªàªªàª¯à«àªàª¥à« àª¶à«àª§ àªàª°à« àª¶àªàªŸàª¯ àªà«. _textsearchtypeprefsform_ </li></ul>}
-
-
 
 _texttanumbrowseoptions_ [l=gu] {àª àªžàªàªà«àª°àª¹àª®àªŸàª àª®àªŸàª¹àª¿àª€à« àª¶à«àª§àªµàªŸ àª®àªŸàªà« _numbrowseoptions_ àªµàª¿àªàª²à«àªªà« àªà«:}