Index: main/trunk/greenstone3/web/sites/localsite/collect/lucene-jdbm-demo/etc/collectionConfig.xml
===================================================================
--- main/trunk/greenstone3/web/sites/localsite/collect/lucene-jdbm-demo/etc/collectionConfig.xml	(revision 32193)
+++ main/trunk/greenstone3/web/sites/localsite/collect/lucene-jdbm-demo/etc/collectionConfig.xml	(revision 32200)
@@ -1,192 +1,198 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<CollectionConfig xmlns:gsf="http://www.greenstone.org/greenstone3/schema/ConfigFormat" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
-  <security scope="document" default_access="private" disabled="true">
-    <!-- a sample security configuration. enable it by removing the 'disabled'
-	 attribute above -->
-    <!-- Document level security. All documents are private -->
-    <exception>
-      <!-- except if you are in demo group -->
-      <group name="demo"/>
-    </exception>
-    <exception>
-      <!-- except for the publicset list of documents which are fully public -->
-      <documentSet name="publicset"/>
-      <group name=""/>
-    </exception>
-    <documentSet name="publicset">
-      <match>b17mie</match>
-      <match>b18ase</match>
-      <match>b20cre</match>
-      <match>b21wae</match>
-    </documentSet>
-  </security>
-  <metadataList>
-    <metadata lang="en" name="creator">Greenstone Project</metadata>
-    <metadata lang="en" name="maintainer">Greenstone Project</metadata>
-    <metadata lang="en" name="public">true</metadata>
-  </metadataList>
-  <displayItemList>
-    <displayItem assigned="true" name="name" key="name" dictionary="collectionConfig"/>
-    <displayItem assigned="true" lang="en" name="name">Demo Collection</displayItem>
-    <displayItem assigned="true" name="description" key="description" dictionary="collectionConfig"/>
-    <displayItem assigned="true" name="shortDescription" key="shortDescription" dictionary="collectionConfig"/>
- </displayItemList>
-  <format>
-    <!-- Define any global format statements here -->
-
-    <!-- Setting the RSS option to true here will display a link to the collection's RSS feed on all
+<CollectionConfig xmlns:gsf="http://www.greenstone.org/greenstone3/schema/ConfigFormat" xmlns:gslib="http://www.greenstone.org/skinning" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
+	<security default_access="private" disabled="true" scope="document"><!-- a sample security configuration. enable it by removing the 'disabled'
+	 attribute above --><!-- Document level security. All documents are private -->
+		<exception><!-- except if you are in demo group -->
+			<group name="demo"/>
+		</exception>
+		<exception><!-- except for the publicset list of documents which are fully public -->
+			<documentSet name="publicset"/>
+			<group name=""/>
+		</exception>
+		<documentSet name="publicset">
+			<match>b17mie</match>
+			<match>b18ase</match>
+			<match>b20cre</match>
+			<match>b21wae</match>
+		</documentSet>
+	</security>
+	<metadataList>
+		<metadata lang="en" name="creator">Greenstone Project</metadata>
+		<metadata lang="en" name="maintainer">Greenstone Project</metadata>
+		<metadata lang="en" name="public">true</metadata>
+	</metadataList>
+	<displayItemList>
+		<displayItem assigned="true" dictionary="collectionConfig" key="description" name="description"/>
+		<displayItem assigned="true" dictionary="collectionConfig" key="name" name="name"/>
+		<displayItem assigned="true" lang="en" name="name">Demo Collection</displayItem>
+		<displayItem assigned="true" lang="en" name="document:text">text</displayItem>
+		<displayItem assigned="true" lang="en" name="document:ex.Title">Title</displayItem>
+		<displayItem assigned="true" lang="en" name="document:ex.Source">Source</displayItem>
+		<displayItem assigned="true" key="level.chapter" name="section"/>
+		<displayItem assigned="true" key="level.book" name="document"/>
+		<displayItem assigned="true" dictionary="collectionConfig" key="shortDescription" name="shortDescription"/>
+	</displayItemList>
+	<format>
+<!--
+Define any global format statements here
+-->
+<!--
+Setting the RSS option to true here will display a link to the collection's RSS feed on all
 	 pages of the collection. Can include the RSS feed link in section specific format statements
-	 too, such as search, if wishing to display the link only in particular sections.-->
-    <gsf:option name="RSS" value="true"/>
-  </format>
-  <search type="lucene">
-    <level name="section">
-      <displayItem name="name" key="level.chapter"/>
-    </level>
-    <level name="document">
-      <displayItem name="name" key="level.book"/>
-    </level>
-    <defaultLevel name="section"/>
-    <index name="allfields"/>
-    <index name="text"/>
-    <index name="dc.Title,Title"/>
-    <index name="dc.Subject"/>
-    <index name="dls.Organization"/>
-    <sort name="rank"/>
-    <sort name="dls.Organization">
-      <displayItem name="name" key="Organisation.buttonname"/>
-    </sort>
-    <sort name="none"/>
-    <defaultSort name="rank"/>
-    <searchType name="plain"/>
-    <searchType name="simpleform"/>
-    <searchType name="advancedform"/>
-    <format>
-      <gsf:template match="documentNode">
-	<td valign="top">
-	  <gsf:link type="document">
-	    <gsf:icon type="document"/>
-	  </gsf:link>
-	</td>
-	<td>
-	  <gsf:choose-metadata>
-	    <gsf:metadata name="dc.Title"/>
-	    <gsf:metadata name="Title"/>
-	    <gsf:default>Untitled</gsf:default>
-	  </gsf:choose-metadata>
-	</td>
-    </gsf:template>
-    </format>
-  </search>
-  <infodb type="jdbm"/>
-  <import>
-    <pluginList>
-      <plugin name="GreenstoneXMLPlugin"/>
-      <plugin name="HTMLPlugin">
-	<option name="-description_tags"/>
-      </plugin>
-      <plugin name="MetadataXMLPlugin"/>
-      <plugin name="ArchivesInfPlugin"/>
-      <plugin name="DirectoryPlugin"/>
-    </pluginList>
-  </import>
-  <importOption name="OIDtype" value="dirname"/>
-  <buildOption name="sections_sort_on_document_metadata" value="unless_section_metadata_exists"/>
-  <browse>
-    <classifier name="List">
-      <option name="-metadata" value="dc.Title"/>
-      <option name="-partition_type_within_level" value="per_letter"/>
-      <option name="-use_hlist_for" value="dc.Title"/>
-    </classifier>
-    <classifier name="Hierarchy">
-      <option name="-metadata" value="dc.Subject"/>
-      <option name="-sort" value="dc.Title"/>
-    </classifier>
-    <classifier name="List">
-      <option name="-metadata" value="dls.Organization"/>
-      <option name="-sort_leaf_nodes_using" value="dc.Title"/>
-      <option name="-partition_type_within_level" value="constant_size"/>
-      <option name="-bookshelf_type" value="always"/>
-      <option name="-buttonname" value="Organization"/>
-    </classifier>
-    <classifier name="List">
-      <option name="-metadata" value="dls.Keyword"/>
-      <option name="-buttonname" value="Howto"/>
-      <option name="-partition_type_within_level" value="none"/>
-      <format> <!-- format statement specific to this classifier -->
-	<gsf:template match="documentNode">
-	  <td>
-	    <gsf:link type="document">
-	      <gsf:metadata name="dls.Keyword"/>
-	    </gsf:link>
-	  </td>
-	</gsf:template>
-      </format>
-    </classifier>
-    <format> <!-- general format statements for all classifiers that don't have their own versions -->
-      <gsf:template match="documentNode">
-	<td valign="top">
-	  <gsf:link type="document">
-	    <gsf:icon type="document"/>
-	  </gsf:link>
-	</td>
-	<td valign="top">
-	  <gsf:choose-metadata>
-	    <gsf:metadata name="dc.Title"/>
-	    <gsf:metadata name="Title"/>
-	    <gsf:default>Untitled</gsf:default>
-	  </gsf:choose-metadata>
-	</td>
-      </gsf:template>
-      <gsf:template match="classifierNode[@classifierStyle = 'VList']">
-	<td valign="top">
-	  <gsf:link type="classifier" style="static">
-	    <gsf:icon type="classifier"/>
-	  </gsf:link>
-	</td>
-	<td valign="top">
-	  <gsf:link type="classifier">
-	    <gsf:metadata name="Title"/>
-	  </gsf:link>
-	</td>
-      </gsf:template>
-      <gsf:template match="classifierNode[@classifierStyle = 'HList']">
-	<gsf:link type="classifier">
-	  <gsf:metadata name="Title"/>
-	</gsf:link>
-       </gsf:template>
-    <gsf:option name="turnstyleClassifiers" value="true"/>
-    </format>
-  </browse>
-  <display>
-    <format>
-      <gsf:option name="TOC" value="true"/>     
-      <gsf:headMetaTags>
-	<gsf:metadata name="dc.Title"/>
-	<gsf:metadata name="dc.Subject"/>
-	<gsf:metadata name="dls.Organization"/>
-      </gsf:headMetaTags>
-    </format>
-  </display>
-  <replaceListRef id="gs2-standard"/>
-  <serviceRackList>
-    <serviceRack name="RSSRetrieve"/>
-    <!-- comment out the following serviceRack if you want to disable OAI for this collection -->
-    <serviceRack name="OAIPMH">
-      <setName>Lucene demo collection</setName>
-      <setDescription>A demo collection for greenstone, using Lucene and JDBM.</setDescription>
-      <!-- uncomment the following and set the name attribute if you want this
-	   collection to be part of a super set. -->
-      <!--<oaiSuperSet name="xxx"/>-->
-      <ListMetadataFormats>
-	<!--What metadata sets to support for this collection. You can select any set that is specified in OAIConfig.xml. To use a new set, you need to add a set definition in OAIConfig.xml, then reference it here, like:
+	 too, such as search, if wishing to display the link only in particular sections.
+-->
+			<gsf:option name="RSS" value="true"/>
+		</format>
+	<search type="lucene">
+		<level name="section">
+			<displayItem key="level.chapter" name="name"/>
+		</level>
+		<level name="document">
+			<displayItem key="level.book" name="name"/>
+		</level>
+		<defaultLevel name="section"/>
+		<index name="allfields"/>
+		<index name="text"/>
+		<index name="dc.Title,Title"/>
+		<index name="dc.Subject"/>
+		<index name="dls.Organization"/>
+		<sort name="rank"/>
+		<sort name="dls.Organization">
+			<displayItem key="Organisation.buttonname" name="name"/>
+		</sort>
+		<sort name="none"/>
+		<defaultSort name="rank"/>
+		<searchType name="plain"/>
+		<searchType name="simpleform"/>
+		<searchType name="advancedform"/>
+		<format>
+			<gsf:template match="documentNode">
+				<td valign="top">
+					<gsf:link type="document">
+						<gsf:icon type="document"/>
+					</gsf:link>
+				</td>
+				<td>
+					<gsf:choose-metadata>
+						<gsf:metadata name="dc.Title"/>
+						<gsf:metadata name="Title"/>
+						<gsf:default>Untitled</gsf:default>
+					</gsf:choose-metadata>
+				</td>
+			</gsf:template>
+		</format>
+	</search>
+	<infodb type="jdbm"/>
+	<import>
+		<pluginList>
+			<plugin name="GreenstoneXMLPlugin"/>
+			<plugin name="HTMLPlugin">
+				<option name="-description_tags"/>
+			</plugin>
+			<plugin name="MetadataXMLPlugin"/>
+			<plugin name="ArchivesInfPlugin"/>
+			<plugin name="DirectoryPlugin"/>
+		</pluginList>
+	</import>
+	<browse>
+		<classifier name="List">
+			<option name="-metadata" value="dc.Title"/>
+			<option name="-partition_type_within_level" value="per_letter"/>
+			<option name="-use_hlist_for" value="dc.Title"/>
+		</classifier>
+		<classifier name="Hierarchy">
+			<option name="-metadata" value="dc.Subject"/>
+			<option name="-sort" value="dc.Title"/>
+		</classifier>
+		<classifier name="List">
+			<option name="-metadata" value="dls.Organization"/>
+			<option name="-sort_leaf_nodes_using" value="dc.Title"/>
+			<option name="-partition_type_within_level" value="constant_size"/>
+			<option name="-bookshelf_type" value="always"/>
+			<option name="-buttonname" value="Organization"/>
+		</classifier>
+		<classifier name="List">
+			<option name="-metadata" value="dls.Keyword"/>
+			<option name="-buttonname" value="Howto"/>
+			<option name="-partition_type_within_level" value="none"/>
+			<format>
+<!--
+format statement specific to this classifier
+-->
+			<gsf:template match="documentNode">
+				<td>
+					<gsf:link type="document">
+						<gsf:metadata name="dls.Keyword"/>
+					</gsf:link>
+				</td>
+			</gsf:template>
+		</format>
+		</classifier>
+		<format>
+<!--
+general format statements for all classifiers that don't have their own versions
+-->
+			<gsf:template match="documentNode">
+				<td valign="top">
+					<gsf:link type="document">
+						<gsf:icon type="document"/>
+					</gsf:link>
+				</td>
+				<td valign="top">
+					<gsf:choose-metadata>
+						<gsf:metadata name="dc.Title"/>
+						<gsf:metadata name="Title"/>
+						<gsf:default>Untitled</gsf:default>
+					</gsf:choose-metadata>
+				</td>
+			</gsf:template>
+			<gsf:template match="classifierNode[@classifierStyle = 'VList']">
+				<td valign="top">
+					<gsf:link style="static" type="classifier">
+						<gsf:icon type="classifier"/>
+					</gsf:link>
+				</td>
+				<td valign="top">
+					<gsf:link type="classifier">
+						<gsf:metadata name="Title"/>
+					</gsf:link>
+				</td>
+			</gsf:template>
+			<gsf:template match="classifierNode[@classifierStyle = 'HList']">
+				<gsf:link type="classifier">
+					<gsf:metadata name="Title"/>
+				</gsf:link>
+			</gsf:template>
+			<gsf:option name="turnstyleClassifiers" value="true"/>
+		</format>
+	</browse>
+	<display>
+		<format>
+			<gsf:option name="TOC" value="true"/>
+			<gsf:headMetaTags>
+				<gsf:metadata name="dc.Title"/>
+				<gsf:metadata name="dc.Subject"/>
+				<gsf:metadata name="dls.Organization"/>
+			</gsf:headMetaTags>
+		</format>
+	</display>
+	<replaceListRef id="gs2-standard"/>
+	<serviceRackList>
+		<serviceRack name="RSSRetrieve"/><!-- comment out the following serviceRack if you want to disable OAI for this collection -->
+		<serviceRack name="OAIPMH">
+			<setName>Lucene demo collection</setName>
+			<setDescription>A demo collection for greenstone, using Lucene and JDBM.</setDescription><!-- uncomment the following and set the name attribute if you want this
+	   collection to be part of a super set. --><!--<oaiSuperSet name="xxx"/>-->
+			<ListMetadataFormats><!--What metadata sets to support for this collection. You can select any set that is specified in OAIConfig.xml. To use a new set, you need to add a set definition in OAIConfig.xml, then reference it here, like:
 	    <metadataFormat metadataPrefix="prefix"/> -->
-	<metadataFormat metadataPrefix="oai_dc"><!--   a custom mapping as this collection doesn't have exclusive dc metadata --><!-- this will replace the dc:publisher element from the main set -->
-	  <element name="dc:publisher">
-	    <mapping elements="dls.Organization"/>
-	  </element>
-	</metadataFormat>
-      </ListMetadataFormats>
-    </serviceRack>
-  </serviceRackList>
+				<metadataFormat metadataPrefix="oai_dc"><!--   a custom mapping as this collection doesn't have exclusive dc metadata --><!-- this will replace the dc:publisher element from the main set -->
+					<element name="dc:publisher">
+						<mapping elements="dls.Organization"/>
+					</element>
+				</metadataFormat>
+			</ListMetadataFormats>
+		</serviceRack>
+	</serviceRackList>
+	<importOption name="OIDtype" value="dirname"/>
+	<buildOption name="sections_sort_on_document_metadata" value="unless_section_metadata_exists"/>
 </CollectionConfig>