Index: main/trunk/model-cols/niupepa/resources/niupepa.properties
===================================================================
--- main/trunk/model-cols/niupepa/resources/niupepa.properties	(revision 32213)
+++ main/trunk/model-cols/niupepa/resources/niupepa.properties	(revision 32214)
@@ -21,5 +21,5 @@
 about.textxwelcome2=Here we have a collection of historic newspapers published primarily for a Māori audience between 1842 and 1932. The newspapers can be <gsf:link type="query"><b>searched</b></gsf:link> (full text), <gsf:link type="classifier" nodeID="CL1"><b>browsed</b></gsf:link> (by series) or accessed by <gsf:link type="classifier" nodeID="CL2"><b>date</b></gsf:link>. This collection has been made available by the <a href="http://www.nzdl.org">New Zealand Digital Library Project</a>, at the <a href="http://www.cs.waikato.ac.nz/cs/">Department of Computer Science</a>, <a href="http://www.waikato.ac.nz">University of Waikato</a>.
 about.textxbackground=<a href="#background">Background information</a> about the collection can be accessed below.
-about.textxgrateful=We are grateful for the support of many organisations that have assisted in making this collection freely available, in particular the <a href="http://www.minedu.govt.nz">Ministry of Education</a> and university libraries throughout New Zealand. Please see our <a href="#support">supporting organisations</a> section below.
+about.textxgrateful=We are grateful for the support of many organisations that have assisted in making this collection freely available, in particular the <a href="http://www.education.govt.nz">Ministry of Education</a> and university libraries throughout New Zealand. Please see our <a href="#support">supporting organisations</a> section below.
 
 about.textxbackground2=Background Information
@@ -27,5 +27,5 @@
 
 about.textxsupporgs=<h2>Supporting Organisations</h2>
-about.textyaymined=The <a href="http://www.minedu.govt.nz">Ministry of Education</a> are the principal sponsors of this project.
+about.textyaymined=The <a href="http://www.education.govt.nz">Ministry of Education</a> are the principal sponsors of this project.
 about.textxsupporgs2=<p>Financial support was also generously given by the following university libraries:</p><ul><li><a href="http://www.waikato.ac.nz/library/">Waikato University Library</a></li><li><a href="http://www.library.otago.ac.nz">Otago University Library</a></li><li><a href="http://www.massey.ac.nz/~wwwlib/">Massey University Library</a></li><li><a href="http://www.victoria.ac.nz/library/">Victoria University Library</a></li><li><a href="http://www2.auckland.ac.nz/lbr/">Auckland University Library</a></li><li><a href="http://library.canterbury.ac.nz">Canterbury University Library</a></li><li><a href="http://prod.lincoln.ac.nz/libr/default.htm">Lincoln University Library</a></li></ul><p>The newspapers are also available on 35mm microfilm and microfiche. They can be borrowed on interloan through your local library or purchased from the <a href="http://www.natlib.govt.nz/en/using/8atl.html">Alexander Turnbull Library</a>.</p><p>Digital image capture was provided by <a href="http://www.micrographics.co.nz">New Zealand Micrographic Services Ltd.</a></p><p>Commentaries on titles provided by Gail Dallimore.</p><p><gsf:link type="page" page="abexpl">English abstracts</gsf:link> are provided by a team working through the Department of Māori Studies at the University of Auckland.</p>
 
Index: main/trunk/model-cols/niupepa/resources/niupepa_mi.properties
===================================================================
--- main/trunk/model-cols/niupepa/resources/niupepa_mi.properties	(revision 32213)
+++ main/trunk/model-cols/niupepa/resources/niupepa_mi.properties	(revision 32214)
@@ -21,5 +21,5 @@
 about.textxwelcome2=Kua whakaemitia mai ki konei he kohikohinga niupepa i tāngia mō ngā kaipānui Māori o ngā tau 1842-1932. E taea ana te pānui niupepa mā te <gsf:link type="query"><b>rapu kupu, </b></gsf:link> <gsf:link type="classifier" nodeID="CL1"><b>mā te rārangi taitara</b></gsf:link> mā te rārangi <gsf:link type="classifier" nodeID="CL2"><b>wātaka</b></gsf:link>. Nā te <a href="http://www.nzdl.org">New Zealand Digital Library Project</a>, i te <a href="http://www.cs.waikato.ac.nz/cs/">Tari Rorohiko </a>, <a href="http://www.waikato.ac.nz">o Te Whare Wānanga o Waikato</a> te kohikohinga nei i whakatū.
 about.textxbackground=<a href="#background">He kupu whakamārama</a> kei raro iho nei e pā ana ki tēnei kohikohinga.
-about.textxgrateful=Ka nui te mihi ki ngā rōpū tautoko i te kaupapa nei. Nā tā rātou tautoko kua kore he utu, mā koutou, mō te titiro ki ngā niupepa nei. Ko te <a href="http://www.minedu.govt.nz">Tāhuhu o te Mātaranga</a> tērā, me ētehi whare pukapuka e noho mai nei ki ngā whare wānanga o te motu. Tirohia ngā <a href="#support">rōpū tautoko </a> kei raro iho nei.
+about.textxgrateful=Ka nui te mihi ki ngā rōpū tautoko i te kaupapa nei. Nā tā rātou tautoko kua kore he utu, mā koutou, mō te titiro ki ngā niupepa nei. Ko te <a href="http://www.education.govt.nz">Tāhuhu o te Mātaranga</a> tērā, me ētehi whare pukapuka e noho mai nei ki ngā whare wānanga o te motu. Tirohia ngā <a href="#support">rōpū tautoko </a> kei raro iho nei.
 	
 about.textxbackground2=He Kupu Whakamārama
@@ -27,5 +27,5 @@
 	
 about.textxsupporgs=<h2>Ngā Rōpū Tautoko</h2>
-about.textyaymined=Ko te tino tautoko o te kaupapa nei, i puta i te <a href="http://www.minedu.govt.nz">Ministry of Education</a>
+about.textyaymined=Ko te tino tautoko o te kaupapa nei, i puta i te <a href="http://www.education.govt.nz">Ministry of Education</a>
 about.textxsupporgs2=<p>Arā anō hoki ngā tautoko i tukua mai e ngā whare pukapuka o ngā whare wānanga:</p><ul><li><a href="http://www.waikato.ac.nz/library/">Te Whare Pukapuka o te Whare Wānanga o Waikato</a></li><li><a href="http://www.library.otago.ac.nz">Te Whare Pukapuka o te Whare Wānanga o Otako</a></li><li><a href="http://www.massey.ac.nz/~wwwlib/">Te Whare Pukapuka o te Whare Wānanga o Massey</a></li><li><a href="http://www.victoria.ac.nz/library/">Te Whare Pukapuka o te Whare Wānanga o Wikitōria</a></li><li><a href="http://www2.auckland.ac.nz/lbr/">Te Whare Pukapuka o te Whare Wānanga o Tāmaki Makaurau</a></li><li><a href="http://library.canterbury.ac.nz">Te Whare Pukapuka o te Whare Wānanga o Waitaha</a></li><li><a href="http://prod.lincoln.ac.nz/libr/default.htm">Te Whare Pukapuka o te Whare Wānanga o Aoraki</a></li></ul><p>Kei runga te kohinga "Niupepa 1842-1933" i te kiriata mōkito 35mm me te kiriata mororiki. Ka taea te tono atu ki te whare pukapuka o tō rohe, ka taea rānei te hoko, mai i te <a href="http://www.natlib.govt.nz/en/using/8atl.html">Alexander Turnbull Library</a>.</p><p>Nā te <a href="http://www.micrographics.co.nz">New Zealand Micrographic Services Ltd.</a> i whakawhiti ngā whakaahua, mai i te kiriata mōkito ki te whakatakotoranga TIFF.</p><p>Nā Gail Dallimore ngā kupu whakataki.</p><p>Nā tētehi rōpū rangahau i te Tari Māori o te Whare Wānanga o Tāmaki Mākaurau ngā <gsf:link type="page" page="abexpl">Rāpopoto Reo Pākehā</gsf:link> i hanga.</p>
 	